Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.cataloguemanager.model
Class Language

    java.lang.Object
      org.deegree.portal.cataloguemanager.model.Language

    public class Language

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.isotc211.org/2005/gmd}LanguageCode"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected LanguageCode` | `languageCode`

Constructor Summary
`Language()`

Method Summary
`LanguageCode` | `getLanguageCode()` Gets the value of the languageCode property.
`void` | `setLanguageCode(LanguageCode value)` Sets the value of the languageCode property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### languageCode

    protected LanguageCode languageCode

Constructor Detail

### Language

    public Language()

Method Detail

### getLanguageCode

    public LanguageCode getLanguageCode()

  Gets the value of the languageCode property.

  Returns:
    possible object is `LanguageCode`

### setLanguageCode

    public void setLanguageCode(LanguageCode value)

  Sets the value of the languageCode property.

  Parameters:
    `value` - allowed object is `LanguageCode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org